.UserList {
  width: 100%;
  height: calc(100vh - 80px);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding-top: 80px;
  overflow: hidden;
}
.UserList_title {
  font-size: 16px;
  font-weight: 600;
}

.UserList_div_block {
  width: 75%;
  height: 90%;
  margin: auto;
  background-color: white;
  border-radius: 4px;
  border: 1px solid rgb(219, 219, 219);
  display: flex;
  flex-direction: row;
}

.UserList_h2_Message {
  font-size: 22px;
  font-weight: 300;
  line-height: 5px;
  margin-top: 20px;
}

.UserList_div_halfBlock {
  height: 90%;
  width: 30%;
  border-right: 1px solid rgb(219, 219, 219);
}

.UserList_div_peopleItem {
  display: flex;
  justify-content: center;
  padding: 5px 0px;
  align-items: flex-start;
  background-color: rgb(255, 255, 255);
  cursor: pointer;
}

.UserList_div_peopleItem:hover {
  background-color: rgb(243, 243, 243);
}

.UserList_p_textMessage {
  line-height: 7px;
  margin-bottom: 0;
  margin-left: 15px;
}

.UserList_p_textMessage_secondary {
  line-height: 35px;
  margin-bottom: 0;
  margin-left: 15px;
  color: rgb(142, 142, 142);
}

.UserList_div_image {
  position: relative;
  height: 56px;
  width: 56px;
  border-radius: 33px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.UserList_span_dot {
  height: 100%;
  width: 10px;
  display: flex;
  justify-content: center;
  text-decoration: none;
  vertical-align: middle;
}

.icon_avatar_header {
  border-radius: 33px;
  width: 45px;
  height: 45px;
}

.UserList_div_textMessage {
  height: 100%;
  display: flex;
  flex: 1 1 auto;
  align-items: flex-start;
  flex-direction: column;
  justify-content: center;
}

.UserList_div_blockMessage {
  width: calc(100% - 20px);
  padding-left: 20px;
  max-height: 100%;
  overflow-x: hidden;
  overflow-y: scroll;
}

.UserList_div_blockMessage::-webkit-scrollbar {
  display: none;
}

.UserList_div_blockListMessage {
  height: 20%;
  /* overflow: scroll; */
}

.UserList_div_name {
  width: 100%;
  height: 50px;
  /* border-right: 1px solid rgb(219, 219, 219); */
  border-bottom: 1px solid rgb(219, 219, 219);
  /* padding-left: 20px; */
  display: flex;
  justify-content: center;
  align-items: center;
}

.UserList_div_chevron {
  position: relative;
  padding-right: 5px;
  transform: rotate(180deg);
  display: flex;
  justify-content: center;
  align-items: center;
}

.UserList_div_chevron:hover {
  cursor: pointer;
}

.UserList_p_name {
  font-weight: 600;
  font-size: 16px;
}

.UserList_div_halfBlock2 {
  height: 100%;
  width: 64%;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0 3%;
}

.UserList_div_halfBlock3 {
  height: 100%;
  width: 70%;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0;
}

@media (max-width: 600px) {
  .UserList_div_halfBlock2 {
    display: none;
  }
  .UserList_div_halfBlock {
    height: 100%;
    width: 100%;
    margin: 0%;
    padding: 0;
  }
  .UserList_div_block {
    width: 100%;
    height: 100%;
    margin: 0;
  }
  .UserList_title {
    font-size: 16px;
    font-weight: 600;
  }
  .UserList {
    width: 100%;
    height: 100vh;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-top: 0;
  }
}

.computerView {
  display: initial;
}

.mobileView {
  display: none;
}

@media screen and (max-width: 900px) {
  .computerView {
    display: none;
  }
  .mobileView {
    display: flex;
  }
  .UserList_div_halfBlock2 {
    display: none;
  }
}
